<?php

if ( ! function_exists('ariana_our_portfolios') ) {

// Register Custom Post Type
function ariana_our_portfolios() {

	$labels = array(
		'name'                  => _x( 'Portfolios', 'Post Type General Name', 'ariana' ),
		'singular_name'         => _x( 'Portfolio', 'Post Type Singular Name', 'ariana' ),
		'menu_name'             => esc_html__( 'Portfolios', 'ariana' ),
		'name_admin_bar'        => esc_html__( 'Portfolios', 'ariana' ),
		'archives'              => esc_html__( 'Item Archives', 'ariana' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ariana' ),
		'all_items'             => esc_html__( 'All Items', 'ariana' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ariana' ),
		'add_new'               => esc_html__( 'Add New', 'ariana' ),
		'new_item'              => esc_html__( 'New Item', 'ariana' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ariana' ),
		'update_item'           => esc_html__( 'Update Item', 'ariana' ),
		'view_item'             => esc_html__( 'View Item', 'ariana' ),
		'search_items'          => esc_html__( 'Search Item', 'ariana' ),
		'not_found'             => esc_html__( 'Not found', 'ariana' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ariana' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ariana' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ariana' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ariana' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ariana' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ariana' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ariana' ),
		'items_list'            => esc_html__( 'Items list', 'ariana' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ariana' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ariana' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Portfolio', 'ariana' ),
		'description'           => esc_html__( 'Post Type Description', 'ariana' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'portfolios', $args );

}
add_action( 'init', 'ariana_our_portfolios', 0 );

}


if ( ! function_exists('ariana_team_member') ) {

// Register Custom Post Type
function ariana_team_member() {

	$labels = array(
		'name'                  => _x( 'Team', 'Post Type General Name', 'ariana' ),
		'singular_name'         => _x( 'Team', 'Post Type Singular Name', 'ariana' ),
		'menu_name'             => esc_html__( 'Team', 'ariana' ),
		'name_admin_bar'        => esc_html__( 'Team', 'ariana' ),
		'archives'              => esc_html__( 'Item Archives', 'ariana' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ariana' ),
		'all_items'             => esc_html__( 'All Items', 'ariana' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ariana' ),
		'add_new'               => esc_html__( 'Add New', 'ariana' ),
		'new_item'              => esc_html__( 'New Item', 'ariana' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ariana' ),
		'update_item'           => esc_html__( 'Update Item', 'ariana' ),
		'view_item'             => esc_html__( 'View Item', 'ariana' ),
		'search_items'          => esc_html__( 'Search Item', 'ariana' ),
		'not_found'             => esc_html__( 'Not found', 'ariana' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ariana' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ariana' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ariana' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ariana' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ariana' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ariana' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ariana' ),
		'items_list'            => esc_html__( 'Items list', 'ariana' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ariana' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ariana' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Team', 'ariana' ),
		'description'           => esc_html__( 'Post Type Description', 'ariana' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-groups',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'a_team', $args );

}
add_action( 'init', 'ariana_team_member', 0 );

}

if ( ! function_exists('ariana_testimonials') ) {

// Register Custom Post Type
function ariana_testimonials() {

	$labels = array(
		'name'                  => _x( 'Testimonials', 'Post Type General Name', 'ariana' ),
		'singular_name'         => _x( 'Testimonial', 'Post Type Singular Name', 'ariana' ),
		'menu_name'             => esc_html__( 'Testimonials', 'ariana' ),
		'name_admin_bar'        => esc_html__( 'Testimonials', 'ariana' ),
		'archives'              => esc_html__( 'Item Archives', 'ariana' ),
		'parent_item_colon'     => esc_html__( 'Parent Item:', 'ariana' ),
		'all_items'             => esc_html__( 'All Items', 'ariana' ),
		'add_new_item'          => esc_html__( 'Add New Item', 'ariana' ),
		'add_new'               => esc_html__( 'Add New', 'ariana' ),
		'new_item'              => esc_html__( 'New Item', 'ariana' ),
		'edit_item'             => esc_html__( 'Edit Item', 'ariana' ),
		'update_item'           => esc_html__( 'Update Item', 'ariana' ),
		'view_item'             => esc_html__( 'View Item', 'ariana' ),
		'search_items'          => esc_html__( 'Search Item', 'ariana' ),
		'not_found'             => esc_html__( 'Not found', 'ariana' ),
		'not_found_in_trash'    => esc_html__( 'Not found in Trash', 'ariana' ),
		'featured_image'        => esc_html__( 'Featured Image', 'ariana' ),
		'set_featured_image'    => esc_html__( 'Set featured image', 'ariana' ),
		'remove_featured_image' => esc_html__( 'Remove featured image', 'ariana' ),
		'use_featured_image'    => esc_html__( 'Use as featured image', 'ariana' ),
		'insert_into_item'      => esc_html__( 'Insert into item', 'ariana' ),
		'uploaded_to_this_item' => esc_html__( 'Uploaded to this item', 'ariana' ),
		'items_list'            => esc_html__( 'Items list', 'ariana' ),
		'items_list_navigation' => esc_html__( 'Items list navigation', 'ariana' ),
		'filter_items_list'     => esc_html__( 'Filter items list', 'ariana' ),
	);
	$args = array(
		'label'                 => esc_html__( 'Testimonial', 'ariana' ),
		'description'           => esc_html__( 'Post Type Description', 'ariana' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-smiley',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'testimonials', $args );

}
add_action( 'init', 'ariana_testimonials', 0 );

}



if ( ! function_exists('ariana_client') ) {

// Register Custom Post Type
function ariana_client() {

	$labels = array(
		'name'                  => _x( 'Post Types', 'Post Type General Name', 'ariana' ),
		'singular_name'         => _x( 'Post Type', 'Post Type Singular Name', 'ariana' ),
		'menu_name'             => __( 'Clients', 'ariana' ),
		'name_admin_bar'        => __( 'Clients', 'ariana' ),
		'archives'              => __( 'Item Archives', 'ariana' ),
		'parent_item_colon'     => __( 'Parent Item:', 'ariana' ),
		'all_items'             => __( 'All Items', 'ariana' ),
		'add_new_item'          => __( 'Add New Item', 'ariana' ),
		'add_new'               => __( 'Add New', 'ariana' ),
		'new_item'              => __( 'New Item', 'ariana' ),
		'edit_item'             => __( 'Edit Item', 'ariana' ),
		'update_item'           => __( 'Update Item', 'ariana' ),
		'view_item'             => __( 'View Item', 'ariana' ),
		'search_items'          => __( 'Search Item', 'ariana' ),
		'not_found'             => __( 'Not found', 'ariana' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'ariana' ),
		'featured_image'        => __( 'Featured Image', 'ariana' ),
		'set_featured_image'    => __( 'Set featured image', 'ariana' ),
		'remove_featured_image' => __( 'Remove featured image', 'ariana' ),
		'use_featured_image'    => __( 'Use as featured image', 'ariana' ),
		'insert_into_item'      => __( 'Insert into item', 'ariana' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'ariana' ),
		'items_list'            => __( 'Items list', 'ariana' ),
		'items_list_navigation' => __( 'Items list navigation', 'ariana' ),
		'filter_items_list'     => __( 'Filter items list', 'ariana' ),
	);
	$args = array(
		'label'                 => __( 'Post Type', 'ariana' ),
		'description'           => __( 'Post Type Description', 'ariana' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-welcome-learn-more',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'clients', $args );

}
add_action( 'init', 'ariana_client', 0 );

}



