<?php
/**
 * Custom template tags for this theme.
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Ariana
 */

function ariana_banner_img_url_option(){
global $ariana;
$ariana_home_banner_img						 = '';

if ( isset( $ariana['ariana_home_banner_img']['url'] ) ) {
	$ariana_home_banner_img = $ariana['ariana_home_banner_img']['url'];
}

$ariana_meta_upload_bannar = get_post_meta(get_the_ID(), '_ariana_upload_banner_image', true);
$ariana_default_bannar_image = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';
	
	 if($ariana_meta_upload_bannar){
		 echo esc_url($ariana_meta_upload_bannar);
		}elseif($ariana_home_banner_img){
			echo esc_url($ariana_home_banner_img);
		}else{ 
		echo esc_url($ariana_default_bannar_image);
	}
}


function ariana_default_banner(){
?>

<!-- START  HOME DESIGN -->
<section class="section-top" style="background: url(<?php echo ariana_banner_img_url_option();?>)no-repeat;background-size:cover;  background-position: center center;background-attachment:fixed;">
	<div class="overlay">
		<div class="container">
			<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
				<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
					<?php the_title('<h2>' ,'</h2>');?>
					<ol class="breadcrumb">
					  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
					  <li class="active"><?php the_title();?></li>
					</ol>
				</div><!-- //.HERO-TEXT -->
			</div><!--- END COL -->
		</div><!--- END CONTAINER -->
	</div><!--- END HOME OVERLAY -->
</section>	
<!-- END  HOME DESIGN -->
<?php	
}

function ariana_shop_banner(){

?>
	
<!-- START  HOME DESIGN -->
<section class="section-top" style="background: url(<?php echo ariana_banner_img_url_option();?>)no-repeat;background-size:cover;  background-position: center center;background-attachment:fixed;">
	<div class="overlay">
		<div class="container">
			<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
				<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
					<h2><?php esc_html_e('Shop', 'ariana');?></h2>
					<ol class="breadcrumb">
					  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
					  <li class="active"><?php esc_html_e('Shop', 'ariana');?></li>
					</ol>
				</div><!-- //.HERO-TEXT -->
			</div><!--- END COL -->
		</div><!--- END CONTAINER -->
	</div><!--- END HOME OVERLAY -->
</section>	
<!-- END  HOME DESIGN -->
<?php	
}

function ariana_blog_banner(){

?>
	
<!-- START  HOME DESIGN -->
<section class="section-top" style="background: url(<?php echo ariana_banner_img_url_option();?>)no-repeat;background-size:cover;  background-position: center center;background-attachment:fixed;">
	<div class="overlay">
		<div class="container">
			<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
				<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
					<h2><?php esc_html_e('Blog', 'ariana');?></h2>
					<ol class="breadcrumb">
					  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
					  <li class="active"><?php esc_html_e('Blog', 'ariana');?></li>
					</ol>
				</div><!-- //.HERO-TEXT -->
			</div><!--- END COL -->
		</div><!--- END CONTAINER -->
	</div><!--- END HOME OVERLAY -->
</section>	
<!-- END  HOME DESIGN -->
<?php	
}

function ariana_archive_banner(){

?>

<!-- START  HOME DESIGN -->
<section class="section-top" style="background: url(<?php echo ariana_banner_img_url_option();?>)no-repeat;background-size:cover;  background-position: center center;background-attachment:fixed;">
	<div class="overlay">
		<div class="container">
			<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
				<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
					<h2><?php the_archive_title();?></h2>
					<ol class="breadcrumb">
					  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
					  <li class="active"><?php the_archive_title();?></li>
					</ol>
				</div><!-- //.HERO-TEXT -->
			</div><!--- END COL -->
		</div><!--- END CONTAINER -->
	</div><!--- END HOME OVERLAY -->
</section>	
<!-- END  HOME DESIGN -->
<?php	
}

function ariana_search_banner(){

?>

<!-- START  HOME DESIGN -->
<section class="section-top" style="background: url(<?php echo ariana_banner_img_url_option();?>)no-repeat;background-size:cover;  background-position: center center;background-attachment:fixed;">
	<div class="overlay">
		<div class="container">
			<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
				<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
					<h2><?php printf( esc_html__( 'Search Results for: %s', 'ariana' ), '<span>' . esc_html(get_search_query()) . '</span>' ); ?></h2>
					<ol class="breadcrumb">
					  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
					  <li class="active"><?php printf( esc_html__( 'Search Results for: %s', 'ariana' ), '<span>' . esc_html(get_search_query()) . '</span>' ); ?></li>
					</ol>
				</div><!-- //.HERO-TEXT -->
			</div><!--- END COL -->
		</div><!--- END CONTAINER -->
	</div><!--- END HOME OVERLAY -->
</section>	
<!-- END  HOME DESIGN -->
<?php	
}

function ariana_404_banner(){
?>
	
<!-- START  HOME DESIGN -->
<section class="section-top" style="background: url(<?php echo ariana_banner_img_url_option();?>)no-repeat;background-size:cover;  background-position: center center;background-attachment:fixed;">
	<div class="overlay">
		<div class="container">
			<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
				<div class="section-top-title wow fadeIn" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
					<h2><?php esc_html_e('404 Page', 'ariana');?></h2>
					<ol class="breadcrumb">
					  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'ariana');?></a></li>
					  <li class="active"><?php esc_html_e('404', 'ariana');?></li>
					</ol>
				</div><!-- //.HERO-TEXT -->
			</div><!--- END COL -->
		</div><!--- END CONTAINER -->
	</div><!--- END HOME OVERLAY -->
</section>	
<!-- END  HOME DESIGN -->
<?php	
}

function ariana_header(){

	global $ariana;
	$ariana_opt_logo_img						 = '';
	$ariana_preloader_opt						 = '';
	$ariana_preloader_text						 = '';
	$ariana_homepage_opt						 = '';
	$ariana_preloader_bg_color						 = '';
	$ariana_preloader_imge						 = '';

	if ( isset( $ariana['ariana_opt_logo_img']['url'] ) ) {
		$ariana_opt_logo_img = $ariana['ariana_opt_logo_img']['url'];
	}	
	
	if ( isset( $ariana['ariana_preloader_opt'] ) ) {
		$ariana_preloader_opt = $ariana['ariana_preloader_opt'];
	}	
	
	if ( isset( $ariana['ariana_preloader_text'] ) ) {
		$ariana_preloader_text = $ariana['ariana_preloader_text'];
	}		
	
	if ( isset( $ariana['ariana_homepage_opt'] ) ) {
		$ariana_homepage_opt = $ariana['ariana_homepage_opt'];
	}		
	
	if ( isset( $ariana['ariana_preloader_bg_color'] ) ) {
		$ariana_preloader_bg_color = $ariana['ariana_preloader_bg_color'];
	}	
	
	if ( isset( $ariana['ariana_preloader_imge']['url'] ) ) {
		$ariana_preloader_imge = $ariana['ariana_preloader_imge']['url'];
	}	
	
	$ariana_default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';
?>

	<?php if($ariana_preloader_opt == '1' && !$ariana_homepage_opt == '1') { ?>
		
		<!-- START PRELOADER -->
		<div class="preloader" style="background: <?php echo esc_attr($ariana_preloader_bg_color);?>;">
			<div class="status" style="background-image: url(<?php echo esc_url($ariana_preloader_imge);?>); background-position: center;  background-repeat: no-repeat;">
				<div class="status-mes"><h4><?php echo esc_html($ariana_preloader_text);?></h4></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	
	<?php }elseif($ariana_preloader_opt == '1' && $ariana_homepage_opt == '1'){ ?>	

	<?php if(is_front_page()) {?>
		<!-- START PRELOADER -->
		<div class="preloader" style="background: <?php echo esc_attr($ariana_preloader_bg_color);?>;">
			<div class="status" style="background-image: url(<?php echo esc_url($ariana_preloader_imge);?>); background-position: center;  background-repeat: no-repeat;">
				<div class="status-mes"><h4><?php echo esc_html($ariana_preloader_text);?></h4></div>
			</div>
		</div>
		<!-- END PRELOADER -->
	<?php } } ?>

	<!-- START NAVBAR -->
	<div class="navbar navbar-default navbar-fixed-top menu-top <?php if(is_user_logged_in()){ echo esc_attr('user_login_menu');}?>">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only"><?php esc_html_e('Toggle navigation', 'ariana');?></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a href="<?php echo esc_url(home_url('/'));?>" class="navbar-brand"><img src="<?php if($ariana_opt_logo_img){ echo esc_url($ariana_opt_logo_img);}else{ echo esc_url($ariana_default_logo_img);}?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>
			</div>
			<div class="navbar-collapse collapse">
				<nav id="nav">
					<?php ariana_main_menu();?>
				</nav>
			</div> 
		</div><!--- END CONTAINER -->
	</div> 
	<!-- END NAVBAR -->	
<?php	
}

function ariana_footer(){
	global $ariana;
	
	$ariana_footer_logo						 = '';
	$ariana_copyright_text						 = '';
	$ariana_footer_social_opt						 = '';

	if ( isset( $ariana['ariana_footer_logo']['url'] ) ) {
		$ariana_footer_logo = $ariana['ariana_footer_logo']['url'];
	}	
	
	if ( isset( $ariana['ariana_copywrite_text'] ) ) {
		$ariana_copyright_text = $ariana['ariana_copywrite_text'];
	}	

	if ( isset( $ariana['ariana_footer_social_opt'] ) ) {
		$ariana_footer_social_opt = $ariana['ariana_footer_social_opt'];
	}	

?>

<!-- START FOOTER TOP -->
<section class="footer section-padding">
	<div class="container">
		<div class="row">					
			<div class="col-md-12 col-sm-12 text-center wow zoomIn">
				<?php if($ariana_footer_logo){ ?>
				<div class="footer_logo">
					<a href="<?php echo esc_url(home_url('/'));?>"><img src="<?php echo esc_url($ariana_footer_logo);?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>
				</div>
				<?php } if($ariana_footer_social_opt){ ?>
					
				<div class="footer_social">
					<ul>
					<?php foreach((array) $ariana_footer_social_opt as $social){ 
			
						$icon = $url = '';

						if ( isset( $social['title'] ) )
							$icon = $social['title'] ;

						if ( isset( $social['url'] ) )
							$url = $social['url'] ;
					
						?>
							<li><a href="<?php echo esc_url($url);?>"><i class="<?php echo esc_attr($icon);?>"></i></a></li>
						
						<?php } ?>	
						

					</ul>
				</div>
					
				<?php } ?>
					
				<div class="copyright">
					<p><?php 
						if($ariana_copyright_text){
							echo ariana_wp_kses($ariana_copyright_text);
						}else{
							echo ariana_wp_kses('Copyright © 2023 Ariana | All Rights Reserved <br> Designed By <a href="#" target="_blank">Themes_Mountain</a>');
						}
	
						?></p>
				</div><!--- END FOOTER COPYRIGHT -->
			</div><!--- END COL -->			
		</div><!--- END ROW -->				
	</div><!--- END CONTAINER -->
</section>
<!-- END FOOTER TOP -->		

<?php	
}